Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetColPerm

Get whether STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master will try to permute the columns of the matrix in order to get a nonzero diagonal

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetColPerm(Mat F, PetscBool *cperm)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

## Output Parameter

- cperm - Indicates whether STRUMPACK will permute columns

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `MatSTRUMPACKSetReordering()`, `Mat`, `MatGetFactor()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetColPerm_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages